dangerjs-wrapper

Plugin to Apply cultural rules during your CI process.

Usage no npm install needed!

<script type="module">
  import dangerjsWrapper from 'https://cdn.skypack.dev/dangerjs-wrapper';
</script>

README

Dangerjs-wrapper

Apply cultural rules during your CI process.

semantic-release

Plugin to Apply cultural rules during your CI process.

Usage

  • Install:
npm i -D dangerjs-wrapper
  • Create a dangerfile.js
  • Create the config file following this interface:
interface DangerConfig {
  giphyApiKey: string
  minReviewersRequired: number
  ticketLinkRegExp: RegExp
  changedFilesLimit: number
  testFilesRegExp?: RegExp
  docFilesRegExp?: RegExp
}
  • Call the function checkPullRequest passing the config as a param
const { checkPullRequest } = require('dangerjs-wrapper')
const dangerConfig = {
  giphyApiKey: 'irrelevant',
  docFilesRegExp: /./g,
  changedFilesLimit: 4,
  minReviewersRequired: 2,
  ticketLinkRegExp: /https:\/\/dev.example.com/g,
}

checkPullRequest(dangerConfig)

Changelog

See the GitHub release history.

Contributing

See CONTRIBUTING.md.